<?php
  use App\Libraries\ejLib;
  $var = ejLib::getInstance();
  $soapclient = $var->getWs();
  $wsClave = $var->get_wsClave();

  $Centro_Sal=$_POST['Centro_Sal'];
  $Numero=$_POST['Numero'];
  $Activos=$_POST['Activos'];

  $Consultorios = $soapclient->AdministrarConsultorios_getLstConsultorios($Centro_Sal, $Numero,$Activos, $wsClave);
  $Cat_Consultorio  = new SimpleXMLElement(utf8_encode($Consultorios));
  // echo $Consultorios;
?>

<?php $i=0; ?>
<table border="1" class="table table-bordered">
  <tr>
    <th class="col-sm-1" style="text-align:center;">N°</th>
    <th class="col-sm-5">Centro de Salud</th>
    <th class="col-sm-1" style="text-align:center;">Número</th>
    <th class="col-sm-2" style="text-align:center;">Activo desde</th>
    <th class="col-sm-1" style="text-align:center;">Estado</th>
    <th class="col-sm-1" style="text-align:center;">Opciones</th>
  </tr>
  
  @foreach($Cat_Consultorio->respuesta as $consu)
    <tr id="tblBaseSub">
      <td style="text-align:center;">{!! ++$i; !!}</td>
      <td>{!! utf8_decode($consu->centrosalud) !!}</td>
      <td style="text-align:center;">{!! utf8_decode($consu->no) !!}</td>
      <td style="text-align:center;">{{  substr($consu->momento_alta, 0, 10) }}</td>
      <td style="text-align:center;"><span id="stLeg_<?php echo $i; ?>"><?php if($consu->baja_log=='1') echo 'Baja'; else  echo 'Activo'; ?></span></td>
      <td style="text-align:center;">
      <span id="stUpObj_<?php echo $i; ?>">
        <?php 
        if($consu->baja_log !='0'){ ?>
          <img src="Img/Baja.png" width="20px" height="20px" title="Establecer en activo" style="cursor: pointer;" onclick="
          jqGetAjaxShort('consultorio-statusConsultorio','stUpObj_<?php echo $i; ?>', { Id_Consultorio: '{!! $consu->id_consultorio !!}', Status: '1', i: <?php echo $i; ?> }); 
          setTimeout(stLeg('stLeg_<?php echo $i; ?>', '0'), 200);
          //setTimeout(listarArchivos, 200);
          " />
        <?php } 
        else { ?>
          <img src="Img/Activar.png" width="20px" height="20px" title="Dar de baja" style="cursor: pointer;"  onclick="
          jqGetAjaxShort('consultorio-statusConsultorio','stUpObj_<?php echo $i; ?>', { Id_Consultorio: '{!! $consu->id_consultorio !!}', Status: '0', i: <?php echo $i; ?> }); 
          setTimeout(stLeg('stLeg_<?php echo $i; ?>', '1'), 200);
          //setTimeout(listarArchivos, 200);
          " />
<?php   } ?>          

      </span>
        <img class="editar_con" src="Img/Editar.png" width="20px" height="20px" title="Editar el consultorio" style="cursor: pointer;" onclick="
        jqSetMensaje('divMensaje','', null);
        var centro_sal = $( '#vCat_CentroSalud' ).val();
        var CentroSalud =  $( '#vCat_CentroSalud option:selected' ).text();
        jqGetAjax('consultorio-upLst','tblMovimientos', { Id_Consultorio: {!! $consu->id_consultorio; !!}, Centro_Sal: centro_sal, CentroSalud: CentroSalud });" />
      </td>
    </tr>
  @endforeach
</table>
